Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
upgrade do gnome
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Portuguese
View previous topic :: View next topic  
Author Message
motard
n00b
n00b


Joined: 04 Feb 2004
Posts: 45
Location: Seixal ---Portugal

PostPosted: Mon Feb 09, 2004 6:20 pm    Post subject: upgrade do gnome Reply with quote

após fazer isto :
Code:
ACCEPT_KEYWORDS=~x86 emerge -p gnome

dá-me isto :
Code:
[blocks B     ] <gnome-extra/gnome-utils-2.3 (from pkg gnome-extra/gucharmap-1.2.0)
[blocks B     ] gnome-base/bonobo-activation (from pkg gnome-base/libbonobo-2.4.3)


que fazer aqui?


ja fiz emerge -c ... mas nada:emerge -c /etc/bonobo-activation/bonobo-activation-config.xml

!!! Couldn't find match for /etc/bonobo-activation/bonobo-activation-config.xml

>>> clean: No packages selected for removal.





que fazer?
:?
Back to top
View user's profile Send private message
fernandotcl
Veteran
Veteran


Joined: 20 Nov 2003
Posts: 1396
Location: Sao Paulo, Brazil

PostPosted: Mon Feb 09, 2004 7:17 pm    Post subject: Reply with quote

A opção -p só faz uma simulação dos pacotes a serem instalados. Para atualizar, a opção é a -u, e não é necessária para pacotes individuais:

Code:
ACCEPT_KEYWORDS="~x86" emerge gnome


Para atualizar o sistema sem que o portage destualize os pacotes instáveis (~x86):

Code:
emerge -UD world


Repare no U e no D maiúsculos.

E não se esqueça de fazer um "emerge sync" de uma a duas vezes por dia :D.
Back to top
View user's profile Send private message
AngusYoung
Retired Dev
Retired Dev


Joined: 20 Dec 2002
Posts: 473
Location: Campinas, SP - Brazil

PostPosted: Tue Feb 10, 2004 12:24 am    Post subject: Re: upgrade do gnome Reply with quote

motard wrote:
após fazer isto :
Code:
ACCEPT_KEYWORDS=~x86 emerge -p gnome

dá-me isto :
Code:
[blocks B     ] <gnome-extra/gnome-utils-2.3 (from pkg gnome-extra/gucharmap-1.2.0)
[blocks B     ] gnome-base/bonobo-activation (from pkg gnome-base/libbonobo-2.4.3)


que fazer aqui?


ja fiz emerge -c ... mas nada:emerge -c /etc/bonobo-activation/bonobo-activation-config.xml

!!! Couldn't find match for /etc/bonobo-activation/bonobo-activation-config.xml

>>> clean: No packages selected for removal.





que fazer?
:?


1. Remover o Bonobo-Activation (ele atualmente é parte do pacote libbono).
Code:
emerge -C bonobo-activation


2. Remover o gnome-utils. Creio que esse pacote pode (e deve ser reinstalado após o gucharmap, pois eu tenho ambos instalados aqui - no meu caso gnome-utils-2.4.1).
Code:
emerge -C gnome-utils


Obs.: se estiver dentro do gnome abra vários terminais. Não lembro ao certo, mas a remoção do bonobo (ou será do gnome-utils?) faz com que terminais do gnome não sejam abertos até que a libbonobo seja reinstalada. (Alguém poderia confirar isso?).
_________________
N.U.S.: A cross platform C++ application development framework
My blog (in Portuguese)
Back to top
View user's profile Send private message
To
Veteran
Veteran


Joined: 12 Apr 2003
Posts: 1145
Location: Coimbra, Portugal

PostPosted: Tue Feb 10, 2004 11:33 am    Post subject: Reply with quote

Apenas uma pequena nota pq o AngusYoung já te explicou tudo. O teu erro talves tenha sido teres feito emerge -c em vez de emerge -C ( com o C em CAPS ).


_________________

------------------------------------------------
Linux Gandalf 3.2.35-grsec
Gentoo Base System version 2.2
------------------------------------------------
Back to top
View user's profile Send private message
fernandotcl
Veteran
Veteran


Joined: 20 Nov 2003
Posts: 1396
Location: Sao Paulo, Brazil

PostPosted: Tue Feb 10, 2004 4:36 pm    Post subject: Reply with quote

Ops, não vi o B de blocked... Esquece :oops: :D
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portuguese All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum